AppendIterator::getInnerIterator
AppendIterator::key
AppendIterator
PHP Manual

# AppendIterator::getIteratorIndex

(PHP 5 >= 5.1.0)

AppendIterator::getIteratorIndex — Gets an index of iterators

### Description

public int AppendIterator::getIteratorIndex ( void )

Gets the index of the current inner iterator.

### Parameters

This function has no parameters.

### Return Values

Returns an integer, which is the zero-based index of the current inner iterator.

### Examples

Example #1 AppendIterator.getIteratorIndex() basic example

`<?php
$array_a = new ArrayIterator(array('a' => 'aardwolf', 'b' => 'bear', 'c' => 'capybara'));
$array_b = new ArrayIterator(array('apple', 'orange', 'lemon'));
$iterator = new AppendIterator;
$iterator->append($array_a);
$iterator->append($array_b);
foreach ($iterator as $key => $current) {
echo $iterator->getIteratorIndex() . ' ' . $key . ' ' . $current . PHP_EOL;
}
?>`

The above example will output:

    0  a aardwolf
    0  b bear
    0  c capybara
    1  0 apple
    1  1 orange
    1  2 lemon

### See Also

- AppendIterator::getInnerIterator() - Gets the inner iterator
- AppendIterator::getArrayIterator() - Gets the ArrayIterator

AppendIterator::getInnerIterator
AppendIterator::key
AppendIterator
PHP Manual